/*
 * StoresView.java
 *
 * Created on 10 de agosto de 2004, 18:12
 */

package com.fenalco.servlets.supplier;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Este servlet construye un listado de los establecimientos de un
 * minorista en el sistema con el proposito de que un proveedor pueda
 * seleccionar a cuales establecimientos de sus clientes puede despachar
 * pedidos.
 * @author Néstor Romero León
 */
public class StoresView extends HttpServlet {
    
    /**
     * Inicializa el servlet.
     * @param config Parámetro de configuración
     * @throws ServletException Excepción de falla en la operación de inicialización.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /**
     * Destruye el servlet.
     */
    public void destroy() {
        
    }
    
    /**
     * Procesa las peticiones para los métodos HTTP <code>GET</code> y
     * <code>POST</code>.
     *
     * Este método construye un objeto del tipo <CODE>StoreList</CODE>
     * utilizando como parámetro el identificador del minorista seleccionado
     * por el proveedor.
     *
     * Esta información es la base para mostrar el listado de establecimientos
     * al proveedor en <CODE>establecimientos.jsp</CODE>.
     * @param request Petición del servlet
     * @param response Respuesta del servlet
     * @throws ServletException Excepción de fallo en la operación de procesamiento de
     * peticiones.
     * @throws IOException Excepción de fallo en la operación de escritura por medio
     * del flujo <CODE>PrintWriter</CODE> de response.
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        /* TODO output your page here
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet</title>");
        out.println("</head>");
        out.println("<body>");
         
        out.println("</body>");
        out.println("</html>");
         */
        out.close();
    }
    
    /**
     * Maneja el método HTTP <code>GET</code>.
     * @param request Petición del servlet
     * @param response Respuesta del servlet
     * @throws ServletException Excepción de fallo en la operación de procesamiento de
     * peticiones.
     * @throws IOException Excepción de fallo en la operación de escritura por medio
     * del flujo <CODE>PrintWriter</CODE> de response.
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /**
     * Maneja el método HTTP <code>POST</code>.
     * @param request Petición del servlet
     * @param response Respuesta del servlet
     * @throws ServletException Excepción de fallo en la operación de procesamiento de
     * peticiones.
     * @throws IOException Excepción de fallo en la operación de escritura por medio
     * del flujo <CODE>PrintWriter</CODE> de response.
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /**
     * Información general del servlet.
     * @return Retorna una descripción general del sevlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
